Home | All Classes | Grouped Classes | Index | Search

# Class CL_MenuItem

Label component More...

Derived from: CL_Component
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_MenuItem | MenuItem Constructor

Attributes:

get_text | Returns the menu item text.
use_icon | Returns true if the menu item can have an icon.
is_toggling | Returns true if the menu item is in toggle mode, otherwise false.
is_selected | Returns true if the menu item is selected

Operations:

set_toggling | Sets the item to toggle mode (true) or normal mode (false). Default is false.
set_use_icon | Sets the item to toggle mode (true) or normal mode (false). Default is false.
set_selected | Sets the menu items selected status, if in toggle mode.
set_text | Sets the menu item text.
clear | Clears any menu item text. Equivalent with set_text("").

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.